
From: Dominik Hackl <dominik@hackl.dhs.org>

This patch fixes a typo in lib/crc32.c which results in incorrect debug
output.

Signed-off-by: Dominik Hackl <dominik@hackl.dhs.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 lib/crc32.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN lib/crc32.c~crc32c-typo-fix lib/crc32.c
--- devel/lib/crc32.c~crc32c-typo-fix	2005-08-07 01:02:28.000000000 -0700
+++ devel-akpm/lib/crc32.c	2005-08-07 01:02:28.000000000 -0700
@@ -473,7 +473,7 @@ static u32 test_step(u32 init, unsigned 
 	init = bitreverse(init);
 	crc2 = bitreverse(crc1);
 	if (crc1 != bitreverse(crc2))
-		printf("\nBit reversal fail: 0x%08x -> %0x08x -> 0x%08x\n",
+		printf("\nBit reversal fail: 0x%08x -> 0x%08x -> 0x%08x\n",
 		       crc1, crc2, bitreverse(crc2));
 	crc1 = crc32_le(init, buf, len);
 	if (crc1 != crc2)
_
